## org.apache.lucene.analysis.id
Class IndonesianStemFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.id.IndonesianStemFilter

All Implemented Interfaces:
  Closeable

    public final class IndonesianStemFilter

extends org.apache.lucene.analysis.TokenFilter

A `TokenFilter` that applies `IndonesianStemmer` to stem Indonesian words.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`IndonesianStemFilter(org.apache.lucene.analysis.TokenStream input)` Calls `IndonesianStemFilter(input, true)`
`IndonesianStemFilter(org.apache.lucene.analysis.TokenStream input, boolean stemDerivational)` Create a new IndonesianStemFilter.

Method Summary
`boolean` `incrementToken()`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndonesianStemFilter

    public IndonesianStemFilter(org.apache.lucene.analysis.TokenStream input)

  Calls `IndonesianStemFilter(input, true)`

### IndonesianStemFilter

    public IndonesianStemFilter(org.apache.lucene.analysis.TokenStream input,
                                boolean stemDerivational)

  Create a new IndonesianStemFilter.

  If `stemDerivational` is false, only inflectional suffixes (particles and possessive pronouns) are stemmed.

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`